gnutls_openpgp_crt_get_name(3)

NAME
gnutls_openpgp_crt_get_name - Extracts the userID

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_crt_get_name(gnutls_openpgp_crt_t key, int idx, char * buf, size_t * sizeof_buf);

ARGUMENTS

gnutls_openpgp_crt_t key
    the structure that contains the OpenPGP public key.

int idx
    the index of the ID to extract

char * buf
    a pointer to a structure to hold the name

size_t * sizeof_buf
    holds the maximum size of buf, on return hold the actual/required size of buf.

DESCRIPTION
Extracts the userID from the parsed OpenPGP key.

RETURNS
GNUTLS_E_SUCCESS on success, and if the index of the ID does not exist GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE, or an error code.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.